Bug 1297665 - [abrt] clipit: gtk_selection_data_get_text(): clipit killed by SIGABRT
[abrt] clipit: gtk_selection_data_get_text(): clipit killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: clipit (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4489f938dc03a99f4fd880f5bad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 02:30 EST by Brandon Amaro
Modified: 2016-07-19 14:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.68 KB, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: cgroup (286 bytes, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: core_backtrace (10.14 KB, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: dso_list (6.80 KB, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: environ (3.74 KB, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: maps (32.63 KB, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: mountinfo (3.21 KB, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: open_fds (477 bytes, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details
File: var_log_messages (249 bytes, text/plain)
2016-01-12 02:30 EST, Brandon Amaro
no flags Details

  None (edit)
Description Brandon Amaro 2016-01-12 02:30:02 EST
Description of problem:
I was copying and pasting the contents of a file in pluma.

Version-Release number of selected component:
clipit-1.4.2-9.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        clipit
crash_function: gtk_selection_data_get_text
executable:     /usr/bin/clipit
global_pid:     17922
kernel:         4.2.8-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #7 gtk_selection_data_get_text at gtkselection.c:1582
 #8 request_text_received_func at gtkclipboard.c:929
 #9 selection_received at gtkclipboard.c:865

Potential duplicate: bug 1100492
Comment 1 Brandon Amaro 2016-01-12 02:30:06 EST
Created attachment 1113861 [details]
File: backtrace
Comment 2 Brandon Amaro 2016-01-12 02:30:07 EST
Created attachment 1113862 [details]
File: cgroup
Comment 3 Brandon Amaro 2016-01-12 02:30:08 EST
Created attachment 1113863 [details]
File: core_backtrace
Comment 4 Brandon Amaro 2016-01-12 02:30:09 EST
Created attachment 1113864 [details]
File: dso_list
Comment 5 Brandon Amaro 2016-01-12 02:30:10 EST
Created attachment 1113865 [details]
File: environ
Comment 6 Brandon Amaro 2016-01-12 02:30:11 EST
Created attachment 1113866 [details]
File: limits
Comment 7 Brandon Amaro 2016-01-12 02:30:13 EST
Created attachment 1113867 [details]
File: maps
Comment 8 Brandon Amaro 2016-01-12 02:30:14 EST
Created attachment 1113868 [details]
File: mountinfo
Comment 9 Brandon Amaro 2016-01-12 02:30:15 EST
Created attachment 1113869 [details]
File: namespaces
Comment 10 Brandon Amaro 2016-01-12 02:30:16 EST
Created attachment 1113870 [details]
File: open_fds
Comment 11 Brandon Amaro 2016-01-12 02:30:17 EST
Created attachment 1113871 [details]
File: proc_pid_status
Comment 12 Brandon Amaro 2016-01-12 02:30:18 EST
Created attachment 1113872 [details]
File: var_log_messages
Comment 13 Tim Wegener 2016-05-12 00:15:39 EDT
Similar problem has been detected:

I was cut and pasting quite long strings into a field in a web page in Firefox when testing input field validation.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        clipit
crash_function: gtk_selection_data_get_text
executable:     /usr/bin/clipit
global_pid:     2278
kernel:         4.4.8-200.fc22.x86_64
package:        clipit-1.4.2-9.fc22
reason:         clipit killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-07-19 14:39:15 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.